package	jp.co.sds_corp.fixconnect.logger;

import	jp.co.sds_corp.fixconnect.FIXException;
import	jp.co.sds_corp.fixconnect.message.FIXMessage;
import jp.co.sds_corp.util.config.IConfiguration;

public interface IMessageLogger
{
	public enum Direction {
		NONE, SEND, RECV, BOTH
	}

	public void init( IConfiguration config ) throws Exception;
	public void log( Direction dir, FIXMessage msg ) throws FIXException;
	public void close() throws FIXException;
	public Direction getDirection();

	public boolean isLogging( FIXMessage msg );
}
