package	jp.co.sds_corp.fixconnect.store;

public abstract class AbstractStore implements IMessageStore
{
	int	sendSeqNum;	// FIX送信通番
	int	recvSeqNum;	// FIX受信通番
	boolean	debug;	// debugフラグ

	/**
	* FIX送信通番を設定します。
	* @param	var		設定するデータ
	*/
	public void setSendSeqNum( int var ) {
		this.sendSeqNum = var;
	}
	/**
	* FIX送信通番を取得します。
	* @return	FIX送信通番
	*/
	public int getSendSeqNum() {
		return sendSeqNum;
	}

	/**
	* FIX受信通番を設定します。
	* @param	var		設定するデータ
	*/
	public void setRecvSeqNum( int var ) {
		this.recvSeqNum = var;
	}
	/**
	* FIX受信通番を取得します。
	* @return	FIX受信通番
	*/
	public int getRecvSeqNum() {
		return recvSeqNum;
	}

	/**
	* debugフラグを設定します。
	* @param	var		設定するデータ
	*/
	public void setDebug( boolean var ) {
		this.debug = var;
	}
	/**
	* debugフラグを取得します。
	* @return	debugフラグ
	*/
	public boolean isDebug() {
		return debug;
	}


}
