package	jp.co.sds_corp.fixconnect.message;

import	jp.co.sds_corp.fixconnect.FIXException;

public class FieldNotFoundException extends FIXException
{
	/**
	* 例外を構築します。
	*/
	public FieldNotFoundException() {
		super();
	}

	/**
	* 指定されたメッセージで、例外を構築します。
	* @param	msg		メッセージ
	*/
	public FieldNotFoundException( String msg ) {
		super( msg );
	}

	/**
	* 指定されたメッセージと例外で、例外を構築します。
	* @param	msg		メッセージ
	* @param	ex		例外
	*/
	public FieldNotFoundException( String msg, Exception ex ) {
		super( msg, ex );
	}

}
