package	jp.co.sds_corp.fixconnect.message;

import	jp.co.sds_corp.fixconnect.transport.FIXSession;

public class MessageReceiveEvent
{
	public MessageReceiveEvent( FIXMessage message ) {
		this.message = message;
	}

	public String toString() {
		String ret = getClass().getName();
		ret += " session=[" + getSession().toString() + "]";
		return ret;
	}

	FIXSession	session;	// FIXセッション情報
	FIXMessage	message;	// 受信メッセージ

	/**
	* FIXセッション情報を設定します。
	* @param	var		設定するデータ
	*/
	public void setSession( FIXSession var ) {
		this.session = var;
	}
	/**
	* FIXセッション情報を取得します。
	* @return	FIXセッション情報
	*/
	public FIXSession getSession() {
		return session;
	}

	/**
	* 受信メッセージを設定します。
	* @param	var		設定するデータ
	*/
	public void setMessage( FIXMessage var ) {
		this.message = var;
	}
	/**
	* 受信メッセージを取得します。
	* @return	受信メッセージ
	*/
	public FIXMessage getMessage() {
		return message;
	}

}
