package	jp.co.sds_corp.fixconnect.transport;

import	java.util.List;
import	java.util.Vector;

public class StateSupport
{
	List<IStateChangeListener> vecLsn = new Vector<IStateChangeListener>();

	public StateSupport() {
	}

	public void addStateChangeListener( IStateChangeListener l ) {
		vecLsn.add( l );
	}

	public boolean removeStateChangeListener( IStateChangeListener l ) {
		return vecLsn.remove( l );
	}

	public void fireStateChanged( FIXSession session,
			SessionState oldState, SessionState newState )
	{
		StateChangeEvent ev = new StateChangeEvent( session, oldState, newState );
		fireStateChanged( ev );
	}

	public void fireStateChanged( StateChangeEvent ev ) {
		for ( IStateChangeListener l : vecLsn ) {
			l.stateChanged( ev );
		}
	}

}
